Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 170288 - hide column and line number when welcome page is active
hide column and line number when welcome page is active
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: -- Other --
6.x
All All
: P4 (vote)
: 6.x
Assigned To: Vitezslav Stejskal
issues@editor
: NETFIX, SIMPLEFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-12 17:30 UTC by Ondrej Langr
Modified: 2009-09-04 03:50 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
abundant line/column numbers at welcome page (575.61 KB, image/png)
2009-08-12 17:30 UTC, Ondrej Langr
Details
Patch to fix reported problem (1.08 KB, patch)
2009-08-26 21:50 UTC, michaelpigg
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Langr 2009-08-12 17:30:08 UTC
When welcome page is focused, information about current line/column should not be there. 

This most likely applies to all main area components which are not text editors.

Filing as P4, for the reason that this does not affect the out of box experience, i.e. the situation when user runs the
IDE for the first time.
Comment 1 Ondrej Langr 2009-08-12 17:30:57 UTC
Created attachment 86166 [details]
abundant line/column numbers at welcome page
Comment 2 Vitezslav Stejskal 2009-08-12 21:02:03 UTC
This should be easy to fix. We know that the focused main window top component does not contain the editor and so we
should be able to just hide the line:column information. Is that correct Milo?
Comment 3 Michel Graciano 2009-08-12 21:30:51 UTC
If it is really an simple fix maybe we can address this by NetFIX program. What do you think?
Comment 4 Vitezslav Stejskal 2009-08-12 21:39:04 UTC
Sure, any help is welcome. Thanks
Comment 5 Jiri Kovalsky 2009-08-17 20:33:24 UTC
OK, then adding NETFIX keyword and adding the issue to NetFIX Pool [1] of issues.

[1] http://wiki.netbeans.org/NetFIXIssues
Comment 6 michaelpigg 2009-08-26 21:50:41 UTC
Created attachment 86710 [details]
Patch to fix reported problem
Comment 7 michaelpigg 2009-08-26 21:53:44 UTC
The patch hides both the line/column and the typing mode labels. The issue doesn't specifically say that the typing mode should be hidden, but it seems to 
me like the right thing to do.
Comment 8 Jiri Kovalsky 2009-09-01 11:46:22 UTC
Vito, can you please review the patch and integrate it if you find the fix acceptable? Thanks a lot!
Comment 9 Vitezslav Stejskal 2009-09-02 13:20:13 UTC
Thanks for the patch michaelpigg.
http://hg.netbeans.org/jet-main/rev/edbafa947f0e
Comment 10 Quality Engineering 2009-09-04 03:50:18 UTC
Integrated into 'main-golden', will be available in build *200909032054* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/edbafa947f0e
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #170288: hide column and line number when welcome page is active (applying michaelpigg's patch)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo